using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.StoragesContracts
{
    public interface IOperatorStorage
    {
        List<OperatorViewModel> GetFullList();
        List<OperatorViewModel> GetFilteredList(OperatorSearchModel model);
        OperatorViewModel? GetElement(OperatorSearchModel model);
        OperatorViewModel? Insert(OperatorBindingModel model);
        OperatorViewModel? Update(OperatorBindingModel model);
        OperatorViewModel? Delete(OperatorBindingModel model);
    }
}
